Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.portlet.multipart
Interface MultipartActionRequest

All Superinterfaces:
  ActionRequest, PortletRequest

All Known Implementing Classes:
  DefaultMultipartActionRequest, MockMultipartActionRequest

    public interface MultipartActionRequest

extends ActionRequest

Interface which provides additional methods for dealing with multipart content within a portlet request, allowing to access uploaded files. Implementations also need to override the standard ActionRequest methods for parameter access, making multipart parameters available.

A concrete implementation is DefaultMultipartActionRequest.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `PortletMultipartResolver`, `MultipartFile`, `PortletRequest.getParameter(java.lang.String)`, `PortletRequest.getParameterNames()`, `PortletRequest.getParameterMap()`, `DefaultMultipartActionRequest`

Field Summary

Fields inherited from interface javax.portlet.PortletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH, USER_INFO`

Method Summary
`MultipartFile` | `getFile(String name)` Return the contents plus description of an uploaded file in this request, or `null` if it does not exist.
`Map` | `getFileMap()` Return a Map of the multipart files contained in this request.
`Iterator` | `getFileNames()` Return an Iterator of String objects containing the parameter names of the multipart files contained in this request.

Methods inherited from interface javax.portlet.ActionRequest
`getCharacterEncoding, getContentLength, getContentType, getPortletInputStream, getReader, setCharacterEncoding`

Methods inherited from interface javax.portlet.PortletRequest
`getAttribute, getAttributeNames, getAuthType, getContextPath, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getProperties, getProperty, getPropertyNames, getRemoteUser, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowState, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, removeAttribute, setAttribute`

Method Detail

### getFileNames

    Iterator getFileNames()

  Return an Iterator of String objects containing the parameter names of the multipart files contained in this request. These are the field names of the form (like with normal parameters), not the original file names.

  Returns:
    the names of the files

### getFile

    MultipartFile getFile(String name)

  Return the contents plus description of an uploaded file in this request, or `null` if it does not exist.

  Parameters:
    `name` - a String specifying the parameter name of the multipart file
  Returns:
    the uploaded content in the form of a MultipartFile object

### getFileMap

    Map getFileMap()

  Return a Map of the multipart files contained in this request.

  Returns:
    a map containing the parameter names as keys, and the MultipartFile objects as values
  See Also:
    `MultipartFile`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.